PT BMS MIGRATION & ENHANCEMENT - Bug #1287

[ ESS Travel ] - Form Total Cost kosong pada form atasan
06/28/2022 03:17 PM - ericsson ericsson

Status:
Priority:
Assignee:
Category:

Target version:

Closed
Urgent

ericsson ericsson

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/28/2022

0%
0.00 hour
0.00 hour

Description

Dear, Developer and Teams.

Pada ESS Travel. tabel "Total Cost" kosong pada saat di form atasan, sedangkan pada saat form pengajuan tabel tersebut ada

isinya (tidak kosong).
Mohon bantuannya untuk tabel "Total Cost" dimunculkan dengan isinya disetiap form atasan.
BizProcessID : Travel

BizFlowID : MD_Travel
Port : http://remote.minovais.com:31134/

Gambar Form Pada Task Create.

<« C A Not secure | remote.minovais.com:31134/Page/WorkFlow?IHRvSd3BMzWLkpbovEYn1Yrw8AVEE+j9
My Workplscs  Businesainfsliigence  Human Resource  System Administration Search Q Help [, staff -
Travel Status: Plan Travel Result
\ Travel Type Perjalanan Dinas
Depariure: Tsngerang uotes
Destination: Jogia
. Route
W My Report © Add il Delete
Start Date End Date Start Time EndTime  TransType Trans Provider | Trans Class Departure Destination Amount | Notes
O Mpremr T - - - - - - - . - -
ministration. 1| zomeizoze 200B2022 0001 00:07 Bis Bis 1 Ekonomi Tangerang Jakaria 1.000.00  test
M Performance Management
M Time Mansgement
A Accomodation
© Add | @ Deke
Start Date End Date AccomTyps | Accom Class Location Contact Number Amount | Notes
1/ 2sie=022 2e082022 Hetel 18 Jakarta 123 50000 test
» Cost
I Business Intelligence © Add W Delete
B Human Resource Start Date End Date Currency CostType Number Rate | CostDescription Cost Center AmountPlan | Amount Settiemen...
M System Administration 1 zomerz022 20082022 DR Usng Muks 1 30000 Usng Muks Human Capital Managament Division 200.00
3
A Totsl Cast
© Calculate
Curren.. | Tatal.. | TotalSettlem.. | Total Appr. Balance Settle... Balance Appr...
IDR 200,00 0.00 0.00 20000 200,00
Gambar Form pada inbox Approval.
http://remote.minovais.com:31134/
’ Travel Status: Flan Travel Result

Travel Type: Perislanan Dinas

Departure: Tangerang Motes

Dessinafion Jogia
My Workplace

# Route
M Business inteligence

Q Add | | [ Delete
B Human Resource
I — Start Date End Date Start Time EndTime Trans Type Trans Provider Trans Class Departure Destination Amount | HNotes
1 28062022 291062022 00:01 00:07 Bis Bis 1 EXonomi Tangerang Jskana 1.000.00 test

# Accomodation

© rdd | | Delete
Start Date End Date Accom Type Accom Class Location Contact Number Amount Notes
1| 2oveozz 2008022 Hotsl 1 Sar Jakarta 123 50000 test
A Cost
© Acd | | Delese
Start Date End Date Currency Cost Type Humber Rate Cost Description Cost Center Amount Plan Amount Settlement Amount Appro
1| zonazo22 Zame22 DR UangMuka 1 20000 Uang Mukz Human Cagital Maragemet Division 300.00
3
A ol Comt Total cost tidak terbawa ke form atasan
& Calaul

Curren_ | Total. Total Settem... Tatal Appr... Halsnee Settle... Balance Appr..

History

#1 - 06/28/2022 05:34 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to ericsson ericsson

update PCMWFDEFBIZPROC
BizProcessID=Travel

OnDocAfterRender=

var storeCost = Ext.StoreMgr.lookup('storePDSWFTRAVELCOST'); var cost = Ext.encode(Ext.pluck(storeCost.data.items, 'data’)); Ext.Ajax.request({
async: false, method: 'POST', url: '/Travel/GetCalculatedCostTravel', params: { CostData: cost, }, waitMsg: 'Data...", success: function (response) { var
result = Ext.decode(response.responseText); var dataCost = Ext.decode(result.data); var storeTotal =
Ext.ComponentQuery.query('[name=PDSWFTOTCOSTTRV])[0].getStore(); storeTotal.removeAll(); storeTotal.loadData(dataCost) }, failure: function
(response) { var result = Ext.decode(response.responseText); MinovaMessage(", '000005', result.message.text, "E") } });

#2 - 06/29/2022 05:24 PM - ericsson ericsson
- Status changed from QA Test to Closed
